Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std
Class PerPage

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.Layer
                  multivalent.std.PerPage

public class PerPage
extends Layer

Wraps other behaviors in hub and enables them only when page URI matches passed pattern.

Version:
  $Revision: 1.1 $ $Date: 2002/02/01 03:43:42 $

Field Summary
`static java.lang.String` | `ATTR_URI`

Fields inherited from class multivalent.Layer
`ATTR_ACTIVE, BASE, MSG_LOAD, PERSONAL, PREFIX, SCRATCH, SHARED, SYSTEM`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`PerPage()`

Method Summary
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Iterates over component Behaviors (including nested Layer's), highest priority to lowest.

Methods inherited from class multivalent.Layer
`addAux, addBehavior, auxSize, buildAfter, buildBefore, buildBeforeAfter, checkRep, clear, clearBehaviors, destroy, dump, dump, findBehavior, getAnnoColor, getAnnoFont, getAux, getAux, getBehavior, getBehavior, getBehavior, getBrowser, getDocument, getInstance, getInstance, isActive, isEditable, removeAux, removeAux, removeBehavior, restoreChildren, save, semanticEventAfter, setActive, size`

Methods inherited from class multivalent.Behavior
`clipboardAfter, clipboardBefore, createUI, eventAfter, eventBefore, formatAfter, formatBefore, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, paintAfter, paintBefore, putPreference, redo, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_URI

    public static final java.lang.String ATTR_URI

See Also:
  Constant Field Values

Constructor Detail

### PerPage

    public PerPage()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Description copied from class: `Layer`
  Iterates over component Behaviors (including nested Layer's), highest priority to lowest. On `Multipage.MSG_CLOSEPAGE` for isEditable() documents, first saves active behaviors for that page to aux in memory (behaviors are moved from aux to active in buildBefore). (Low-level eventBefore/After is a tree-based protocol, so it's not seen by Layer.)

  Overrides:
    `semanticEventBefore` in class `Layer`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Behavior`
  Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation. When restored from hub, passed XML content subtree if any as first parameter and attributes from XML tag's attributes. This protocol cannot be short-circuited.

  Overrides:
    `restore` in class `Layer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD